Calculator.h File Reference
`#include <libqalculate/includes.h>`
`#include <libqalculate/util.h>`
`#include <sys/time.h>`
`#include <libqalculate/MathStructure.h>`

## Classes

struct | PlotParameters
| Parameters passed to plotting functions. More...
struct | PlotDataParameters
| Parameters for plot data series. More...
class | CalculatorMessage
| A message with information to the user. Primarily used for errors and warnings. More...
struct | Element
class | Calculator
| The almighty calculator class. More...

## Macros

#define | MESSAGE_STAGE_CONVERSION -4
| Message stages.
#define | MESSAGE_STAGE_CONVERSION_PARSING -3
#define | MESSAGE_STAGE_CALCULATION -2
#define | MESSAGE_STAGE_PARSING -1
#define | MESSAGE_STAGE_UNSET 0
#define | MESSAGE_CATEGORY_NONE 0
| Message categories.
#define | MESSAGE_CATEGORY_PARSING 1
#define | UFV_LENGTHS 20

## Typedefs

typedef vector< Prefix * > | p_type

## Enumerations

enum | MessageType { MESSAGE_INFORMATION, MESSAGE_WARNING, MESSAGE_ERROR }
| Message types.
enum | { ELEMENT_CLASS_NOT_DEFINED, ALKALI_METALS, ALKALI_EARTH_METALS, LANTHANIDES, ACTINIDES, TRANSITION_METALS, METALS, METALLOIDS, NONMETALS, HALOGENS, NOBLE_GASES, TRANSACTINIDES }